// #autoload
// #name = ScrollZoom
// #version = 1.1
// #date = April 29, 2001
// #author = Scott Readel (aka |eX|DarkOmen++)
// #warrior = DarkOmen++
// #email = wildbmxr@uswest.net
// #web = http://scripts.tribalwar.com/DEBig3
// #web = http://www.exodustribe.org
// #description = This script allows you to bind zoom changing to your mouse wheel.
// #readme = autoexec/ScrollZoom.txt
//-------------------------------------------------------------------------------
//
function DarkCalcZoomFOVscrewy( %val )
{
//   if (%val >= 0)// Wheel Up - Zoom In
   if (%val < 0)// Wheel Down - Zoom In
   {
      if($pref::player::currentFOV == $pref::player::defaultFov / 2)
         $pref::player::currentFOV = $pref::player::defaultFov / 5;
      else if ($pref::player::currentFOV < 8)	// Lower Bound
         // In the original calcZoomFOV, zoom is looped if after being divided by 2, it is less than 4
         // This just checks for that condition
         return;
      else
         $pref::player::currentFOV = $pref::player::currentFOV / 2;
   }
   else		// Wheel Down - Zoom Out
   {
      if ($pref::player::currentFOV == $pref::player::defaultFov / 5)		// Skip (why? because.)
          $pref::player::currentFOV = $pref::player::defaultFov / 2;
      else if ($pref::player::currentFOV == $pref::player::defaultFov / 2)	// Upper Bound
          return;
      else
          $pref::player::currentFOV = $pref::player::currentFOV * 2;
   }

   if(!$ZoomOn)
   {
      %pos = getZoomCenter($pref::player::defaultFov / $pref::player::currentFOV);
      %extent = getZoomExtent($pref::player::defaultFov / $pref::player::currentFOV);
      ZoomHud.resize(getWord(%pos, 0), getWord(%pos, 1), getWord(%extent, 0), getWord(%extent, 1));
      if(ZoomHud.hideThread != 0)
         cancel(ZoomHud.hideThread);
      ZoomHud.hideThread = schedule(5000, 0, hideZoomHud);
      ZoomHud.setVisible(true);
   }
   else
      setFov( $pref::player::currentFOV );
}

function DarkCalcZoomFOVnormal( %val )
{
   if (%val >= 0)// Wheel Up - Zoom In
   {
      if($pref::player::currentFOV == $pref::player::defaultFov / 2)
         $pref::player::currentFOV = $pref::player::defaultFov / 5;
      else if ($pref::player::currentFOV < 8)	// Lower Bound
         // In the original calcZoomFOV, zoom is looped if after being divided by 2, it is less than 4
         // This just checks for that condition
         return;
      else
         $pref::player::currentFOV = $pref::player::currentFOV / 2;
   }
   else		// Wheel Down - Zoom Out
   {
      if ($pref::player::currentFOV == $pref::player::defaultFov / 5)		// Skip (why? because.)
          $pref::player::currentFOV = $pref::player::defaultFov / 2;
      else if ($pref::player::currentFOV == $pref::player::defaultFov / 2)	// Upper Bound
          return;
      else
          $pref::player::currentFOV = $pref::player::currentFOV * 2;
   }
   
   if(!$ZoomOn)
   {
      %pos = getZoomCenter($pref::player::defaultFov / $pref::player::currentFOV);
      %extent = getZoomExtent($pref::player::defaultFov / $pref::player::currentFOV);
      ZoomHud.resize(getWord(%pos, 0), getWord(%pos, 1), getWord(%extent, 0), getWord(%extent, 1));
      if(ZoomHud.hideThread != 0)
         cancel(ZoomHud.hideThread);
      ZoomHud.hideThread = schedule(5000, 0, hideZoomHud);
      ZoomHud.setVisible(true);
   }
   else
      setFov( $pref::player::currentFOV );
}

function DarkCycleZoomAxisNormal( %val )
{
   DarkCalcZoomFovnormal(%val);
}

function DarkCycleZoomAxisScrewy( %val )
{
   DarkCalcZoomFovscrewy(%val);
}

package Mousewheelconfignormal {
	
function MouseConfigDlg::onWake( %this )
	{
		Parent::onWake( %this );
		MouseZActionMenu.add( "Cycle Zoom Normal", 4 );
	   	if(%bind $= "cyclezoom")
	   		%selId = 4;
	   	MouseZActionMenu.setSelected( %selId );
	}

	function MouseConfigDlg::onOK( %this )
	{
   		Parent::onOK( %this );
	   	if( MouseZActionMenu.getSelected() == 4)
	   		moveMap.bind( mouse, zaxis, DarkCycleZoomAxisNormal );
	    Canvas.popDialog( MouseConfigDlg );
	}


};
package Mousewheelconfigscrewy {

function MouseConfigDlg::onWake( %this )
	{
		Parent::onWake( %this );
		MouseZActionMenu.add( "Cycle Zoom Screwy", 4 );
	   	if(%bind $= "cyclezoom")
	   		%selId = 4;
	   	MouseZActionMenu.setSelected( %selId );
	}

	function MouseConfigDlg::onOK( %this )
	{
   		Parent::onOK( %this );
	   	if( MouseZActionMenu.getSelected() == 4)
	   		moveMap.bind( mouse, zaxis, DarkCycleZoomAxisScrewy );
	Canvas.popDialog( MouseConfigDlg );
	}


};
activatePackage(Mousewheelconfignormal);
activatePackage(Mousewheelconfigscrewy);

