// #autoload
// #name = filterMessages
// #version = 1.1
// #date = April 15, 2001
// #author = Robert Blanchet
// #warrior = xgalaxy
// #email = xgalaxy@home.com
// #web = none
// #description = Filters death messages from chat
// #status = beta

//Below are all the strings for $FilterTypeText. These are weapon names. To edit this for a 
//modification to the origanl game you must have access to the modified damageTypes.cs file
//that the server runs. These *must* match the altered damageTypes.cs to work properly on 
//a modified server. 
$FilterTypeText[0] = "default";
$FilterTypeText[1] = "blaster";
$FilterTypeText[2] = "plasma";
$FilterTypeText[3] = "chaingun";
$FilterTypeText[4] = "disc";
$FilterTypeText[5] = "grenade";
$FilterTypeText[6] = "laser";
$FilterTypeText[7] = "ELF";
$FilterTypeText[8] = "mortar";
$FilterTypeText[9] = "missile";
$FilterTypeText[10] = "shocklance";
$FilterTypeText[11] = "mine";
$FilterTypeText[12] = "explosion";
$FilterTypeText[13] = "impact";
$FilterTypeText[14] = "ground";
$FilterTypeText[15] = "turret";
$FilterTypeText[16] = "plasma turret";
$FilterTypeText[17] = "AA turret";
$FilterTypeText[18] = "ELF turret";
$FilterTypeText[19] = "mortar turret";
$FilterTypeText[20] = "missile turret";
$FilterTypeText[21] = "clamp turret";
$FilterTypeText[22] = "spike turret";
$FilterTypeText[23] = "sentry turret";
$FilterTypeText[24] = "out of bounds";
$FilterTypeText[25] = "lava";
$FilterTypeText[26] = "shrike blaster";
$FilterTypeText[27] = "belly turret";
$FilterTypeText[28] = "bomber bomb";
$FilterTypeText[29] = "tank chaingun";
$FilterTypeText[30] = "tank mortar";
$FilterTypeText[31] = "satchel charge";
$FilterTypeText[32] = "MPB missile";
$FilterTypeText[33] = "lighting";
$FilterTypeText[98] = "nexus camping";
$FilterTypeText[99] = "suicide";

/////////////////////////////////////////////////////////////////////////////////////////////////
// Every $FilterMsg<type>Count should be equal to 3 and no more                                //
// $FilterMsg<type> is either [0] Friendly , [1] Enemy , [2] Observer   denoting team          //
// <tab:115,160> is the tab size in pixels     \t Tabs over the number of pixels set           //
// To tab multiple times use <tab:100,150> for instance                                        //
// <bitmap:file_name> denotes the icon that will appear with *.png left off the name           //
// These bitmaps/icons are located in \GameData\base\textures\texticons\                       //
// There are 10 trailing spaces after the bitmap/icon                                          //
/////////////////////////////////////////////////////////////////////////////////////////////////

$FilterMsgCampingCount = 3;
$FilterMsgCamping[0] = "<tab:115,160>\t<bitmap:sm_f_camp>\t";
$FilterMsgCamping[1] = "<tab:115,160>\t<bitmap:sm_e_camp>\t";
$FilterMsgCamping[2] = "<tab:115,160>\t<bitmap:sm_o_camp>\t";
	
																						   
 //Out of Bounds deaths
$FilterMsgOOBCount = 3;
$FilterMsgOOB[0] = "<tab:115,160>\t<bitmap:sm_f_oob>\t";
$FilterMsgOOB[1] = "<tab:115,160>\t<bitmap:sm_e_oob>\t";
$FilterMsgOOB[2] = "<tab:115,160>\t<bitmap:sm_o_oob>\t";

$FilterMsgLavaCount = 3;
$FilterMsgLava[0] = "<tab:115,160>\t<bitmap:sm_f_lava>\t";
$FilterMsgLava[1] = "<tab:115,160>\t<bitmap:sm_e_lava>\t";
$FilterMsgLava[2] = "<tab:115,160>\t<bitmap:sm_o_lava>\t";

$FilterMsgLightningCount = 3;
$FilterMsgLightning[0] = "<tab:115,160>\t<bitmap:sm_f_light>\t";
$FilterMsgLightning[1] = "<tab:115,160>\t<bitmap:sm_e_light>\t";
$FilterMsgLightning[2] = "<tab:115,160>\t<bitmap:sm_o_light>\t";


//these used when a player presses ctrl-k
$FilterMsgSuicideCount = 3;
$FilterMsgSuicide[0] = "<tab:115,160>\t<bitmap:sm_f_suicide>\t";  
$FilterMsgSuicide[1] = "<tab:115,160>\t<bitmap:sm_e_suicide>\t";
$FilterMsgSuicide[2] = "<tab:115,160>\t<bitmap:sm_o_suicide>\t";

$FilterMsgVehPadCount = 3;
$FilterMsgVehPad[0] = "<tab:115,160>\t<bitmap:sm_f_vehspawn>\t"; 
$FilterMsgVehPad[1] = "<tab:115,160>\t<bitmap:sm_e_vehspawn>\t";
$FilterMsgVehPad[2] = "<tab:115,160>\t<bitmap:sm_o_vehspawn>\t";


//these used when a player kills himself (other than by using ctrl - k)
$FilterMsgSelfKillCount = 3;
$FilterMsgSelfKill[$FilterTypeText[1], 0] = "<tab:115,160>\t<bitmap:sm_f_suicide>\t";	
$FilterMsgSelfKill[$FilterTypeText[1], 1] = "<tab:115,160>\t<bitmap:sm_e_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[1], 2] = "<tab:115,160>\t<bitmap:sm_o_suicide>\t";

$FilterMsgSelfKill[$FilterTypeText[2], 0] = "<tab:115,160>\t<bitmap:sm_f_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[2], 1] = "<tab:115,160>\t<bitmap:sm_e_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[2], 2] = "<tab:115,160>\t<bitmap:sm_o_suicide>\t";

$FilterMsgSelfKill[$FilterTypeText[4], 0] = "<tab:115,160>\t<bitmap:sm_f_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[4], 1] = "<tab:115,160>\t<bitmap:sm_e_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[4], 2] = "<tab:115,160>\t<bitmap:sm_o_suicide>\t";

$FilterMsgSelfKill[$FilterTypeText[5], 0] = "<tab:115,160>\t<bitmap:sm_f_suicide>\t";   //applies to hand grenades *and* grenade launcher grenades
$FilterMsgSelfKill[$FilterTypeText[5], 1] = "<tab:115,160>\t<bitmap:sm_e_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[5], 2] = "<tab:115,160>\t<bitmap:sm_o_suicide>\t";

$FilterMsgSelfKill[$FilterTypeText[8], 0] = "<tab:115,160>\t<bitmap:sm_f_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[8], 1] = "<tab:115,160>\t<bitmap:sm_e_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[8], 2] = "<tab:115,160>\t<bitmap:sm_o_suicide>\t";

$FilterMsgSelfKill[$FilterTypeText[9], 0] = "<tab:115,160>\t<bitmap:sm_f_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[9], 1] = "<tab:115,160>\t<bitmap:sm_e_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[9], 2] = "<tab:115,160>\t<bitmap:sm_o_suicide>\t";

$FilterMsgSelfKill[$FilterTypeText[11], 0] = "<tab:115,160>\t<bitmap:sm_f_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[11], 1] = "<tab:115,160>\t<bitmap:sm_e_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[11], 2] = "<tab:115,160>\t<bitmap:sm_o_suicide>\t";

$FilterMsgSelfKill[$FilterTypeText[31], 0] = "<tab:115,160>\t<bitmap:sm_f_suicide>\t";  //applies to most explosion types
$FilterMsgSelfKill[$FilterTypeText[31], 1] = "<tab:115,160>\t<bitmap:sm_e_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[31], 2] = "<tab:115,160>\t<bitmap:sm_o_suicide>\t";

$FilterMsgSelfKill[$FilterTypeText[14], 0] = "<tab:115,160>\t<bitmap:sm_f_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[14], 1] = "<tab:115,160>\t<bitmap:sm_e_suicide>\t";
$FilterMsgSelfKill[$FilterTypeText[14], 2] = "<tab:115,160>\t<bitmap:sm_o_suicide>\t";


//used when a player is killed by a teammate 
$FilterMsgTeamKillCount = 3;	
$FilterMsgTeamKill[0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTeamKill[1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTeamKill[2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";


//these used when a player is killed by an enemy
$FilterMsgDeathCount = 3;
$FilterMsgDeath[$FilterTypeText[1], 0] = "<tab:115,160>\t<bitmap:sm_f_blaster>\t";
$FilterMsgDeath[$FilterTypeText[1], 1] = "<tab:115,160>\t<bitmap:sm_e_blaster>\t";
$FilterMsgDeath[$FilterTypeText[1], 2] = "<tab:115,160>\t<bitmap:sm_o_blaster>\t";

$FilterMsgDeath[$FilterTypeText[2], 0] = "<tab:115,160>\t<bitmap:sm_f_plasma>\t";
$FilterMsgDeath[$FilterTypeText[2], 1] = "<tab:115,160>\t<bitmap:sm_e_plasma>\t";
$FilterMsgDeath[$FilterTypeText[2], 2] = "<tab:115,160>\t<bitmap:sm_o_plasma>\t";

$FilterMsgDeath[$FilterTypeText[3], 0] = "<tab:115,160>\t<bitmap:sm_f_chain>\t";
$FilterMsgDeath[$FilterTypeText[3], 1] = "<tab:115,160>\t<bitmap:sm_e_chain>\t";
$FilterMsgDeath[$FilterTypeText[3], 2] = "<tab:115,160>\t<bitmap:sm_o_chain>\t";

$FilterMsgDeath[$FilterTypeText[4], 0] = "<tab:115,160>\t<bitmap:sm_f_disc>\t";
$FilterMsgDeath[$FilterTypeText[4], 1] = "<tab:115,160>\t<bitmap:sm_e_disc>\t";
$FilterMsgDeath[$FilterTypeText[4], 2] = "<tab:115,160>\t<bitmap:sm_o_disc>\t";

$FilterMsgDeath[$FilterTypeText[5], 0] = "<tab:115,160>\t<bitmap:sm_f_gren>\t";   //applies to hand grenades *and* grenade launcher grenades
$FilterMsgDeath[$FilterTypeText[5], 1] = "<tab:115,160>\t<bitmap:sm_e_gren>\t";
$FilterMsgDeath[$FilterTypeText[5], 2] = "<tab:115,160>\t<bitmap:sm_o_gren>\t";

$FilterMsgDeath[$FilterTypeText[6], 0] = "<tab:115,160>\t<bitmap:sm_f_laser>\t";
$FilterMsgDeath[$FilterTypeText[6], 1] = "<tab:115,160>\t<bitmap:sm_e_laser>\t";
$FilterMsgDeath[$FilterTypeText[6], 2] = "<tab:115,160>\t<bitmap:sm_o_laser>\t";

$FilterMsgDeath[$FilterTypeText[7], 0] = "<tab:115,160>\t<bitmap:sm_f_elf>\t";
$FilterMsgDeath[$FilterTypeText[7], 1] = "<tab:115,160>\t<bitmap:sm_e_elf>\t";
$FilterMsgDeath[$FilterTypeText[7], 2] = "<tab:115,160>\t<bitmap:sm_o_elf>\t";

$FilterMsgDeath[$FilterTypeText[8], 0] = "<tab:115,160>\t<bitmap:sm_f_mortar>\t";
$FilterMsgDeath[$FilterTypeText[8], 1] = "<tab:115,160>\t<bitmap:sm_e_mortar>\t";
$FilterMsgDeath[$FilterTypeText[8], 2] = "<tab:115,160>\t<bitmap:sm_o_mortar>\t";

$FilterMsgDeath[$FilterTypeText[9], 0] = "<tab:115,160>\t<bitmap:sm_f_rocket>\t";
$FilterMsgDeath[$FilterTypeText[9], 1] = "<tab:115,160>\t<bitmap:sm_e_rocket>\t";
$FilterMsgDeath[$FilterTypeText[9], 2] = "<tab:115,160>\t<bitmap:sm_o_rocket>\t";

$FilterMsgDeath[$FilterTypeText[10], 0] = "<tab:115,160>\t<bitmap:sm_f_shock>\t";
$FilterMsgDeath[$FilterTypeText[10], 1] = "<tab:115,160>\t<bitmap:sm_e_shock>\t";
$FilterMsgDeath[$FilterTypeText[10], 2] = "<tab:115,160>\t<bitmap:sm_o_shock>\t";

$FilterMsgDeath[$FilterTypeText[11], 0] = "<tab:115,160>\t<bitmap:sm_f_mine>\t";
$FilterMsgDeath[$FilterTypeText[11], 1] = "<tab:115,160>\t<bitmap:sm_e_mine>\t";
$FilterMsgDeath[$FilterTypeText[11], 2] = "<tab:115,160>\t<bitmap:sm_o_mine>\t";

$FilterMsgDeath[$FilterTypeText[31], 0] = "<tab:115,160>\t<bitmap:sm_f_satchel>\t";  //satchel charge only
$FilterMsgDeath[$FilterTypeText[31], 1] = "<tab:115,160>\t<bitmap:sm_e_satchel>\t";
$FilterMsgDeath[$FilterTypeText[31], 2] = "<tab:115,160>\t<bitmap:sm_o_satchel>\t";


//Headshots
$FilterMsgHeadshotCount = 3;
$FilterMsgHeadshot[$FilterTypeText[6], 0] = "<tab:115,160>\t<bitmap:sm_f_headshot>\t";
$FilterMsgHeadshot[$FilterTypeText[6], 1] = "<tab:115,160>\t<bitmap:sm_e_headshot>\t";
$FilterMsgHeadshot[$FilterTypeText[6], 2] = "<tab:115,160>\t<bitmap:sm_o_headshot>\t";

 
//These used when a player is run over by a vehicle
$FilterMsgVehicleCount = 3;
$FilterMsgVehicle[0] = "<tab:115,160>\t<bitmap:sm_f_veh>\t";
$FilterMsgVehicle[1] = "<tab:115,160>\t<bitmap:sm_e_veh>\t";
$FilterMsgVehicle[2] = "<tab:115,160>\t<bitmap:sm_o_veh>\t";

$FilterMsgVehicleUnmannedCount = 3;
$FilterMsgVehicleUnmanned[0] = "<tab:115,160>\t<bitmap:sm_f_suiveh>\t";
$FilterMsgVehicleUnmanned[1] = "<tab:115,160>\t<bitmap:sm_e_suiveh>\t";
$FilterMsgVehicleUnmanned[2] = "<tab:115,160>\t<bitmap:sm_o_suiveh>\t";

//These used when a player is killed by a nearby equipment explosion
$FilterMsgExplosionCount = 3;
$FilterMsgExplosion[0] = "<tab:115,160>\t<bitmap:sm_f_explo>\t";
$FilterMsgExplosion[1] = "<tab:115,160>\t<bitmap:sm_e_explo>\t";
$FilterMsgExplosion[2] = "<tab:115,160>\t<bitmap:sm_o_explo>\t";

//used when a player is killed by a teammate controlling a turret
$FilterMsgTurretTeamKillCount = 3;	
$FilterMsgTurretTeamKill[$FilterTypeText[16], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[16], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[16], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";

$FilterMsgTurretTeamKill[$FilterTypeText[17], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[17], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[17], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";

$FilterMsgTurretTeamKill[$FilterTypeText[18], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[18], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[18], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";

$FilterMsgTurretTeamKill[$FilterTypeText[19], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[19], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[19], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";

$FilterMsgTurretTeamKill[$FilterTypeText[20], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[20], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[20], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";

$FilterMsgTurretTeamKill[$FilterTypeText[21], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[21], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[21], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";

$FilterMsgTurretTeamKill[$FilterTypeText[22], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[22], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[22], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";

$FilterMsgTurretTeamKill[$FilterTypeText[23], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[23], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[23], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";

$FilterMsgTurretTeamKill[$FilterTypeText[28], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[28], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[28], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";

$FilterMsgTurretTeamKill[$FilterTypeText[27], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[27], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[27], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";

$FilterMsgTurretTeamKill[$FilterTypeText[29], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[29], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[29], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";

$FilterMsgTurretTeamKill[$FilterTypeText[30], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[30], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t"; 
$FilterMsgTurretTeamKill[$FilterTypeText[30], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t"; 

$FilterMsgTurretTeamKill[$FilterTypeText[26], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[26], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[26], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";

$FilterMsgTurretTeamKill[$FilterTypeText[32], 0] = "<tab:115,160>\t<bitmap:sm_f_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[32], 1] = "<tab:115,160>\t<bitmap:sm_e_tk>\t";
$FilterMsgTurretTeamKill[$FilterTypeText[32], 2] = "<tab:115,160>\t<bitmap:sm_o_tk>\t";


//these messages for owned or controlled turrets
$FilterMsgTurretKillCount = 3;
$FilterMsgTurretKill[$FilterTypeText[16], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t"; 
$FilterMsgTurretKill[$FilterTypeText[16], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[16], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretKill[$FilterTypeText[17], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[17], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[17], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretKill[$FilterTypeText[18], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[18], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[18], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretKill[$FilterTypeText[19], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[19], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[19], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretKill[$FilterTypeText[20], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[20], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[20], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretKill[$FilterTypeText[21], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[21], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[21], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretKill[$FilterTypeText[22], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[22], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[22], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretKill[$FilterTypeText[23], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[23], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[23], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretKill[$FilterTypeText[28], 0] = "<tab:115,160>\t<bitmap:sm_f_bomb>\t"; 
$FilterMsgTurretKill[$FilterTypeText[28], 1] = "<tab:115,160>\t<bitmap:sm_e_bomb>\t"; 
$FilterMsgTurretKill[$FilterTypeText[28], 2] = "<tab:115,160>\t<bitmap:sm_o_bomb>\t"; 

$FilterMsgTurretKill[$FilterTypeText[27], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[27], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[27], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretKill[$FilterTypeText[29], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[29], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[29], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretKill[$FilterTypeText[30], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[30], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[30], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretKill[$FilterTypeText[26], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[26], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[26], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretKill[$FilterTypeText[32], 0] = "<tab:115,160>\t<bitmap:sm_f_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[32], 1] = "<tab:115,160>\t<bitmap:sm_e_turr>\t";
$FilterMsgTurretKill[$FilterTypeText[32], 2] = "<tab:115,160>\t<bitmap:sm_o_turr>\t";

$FilterMsgTurretSelfKillCount = 3;
$FilterMsgTurretSelfKill[0] = "<tab:115,160>\t<bitmap:sm_f_suiturr>\t";
$FilterMsgTurretSelfKill[1] = "<tab:115,160>\t<bitmap:sm_e_suiturr>\t";
$FilterMsgTurretSelfKill[2] = "<tab:115,160>\t<bitmap:sm_o_suiturr>\t";