// #autoload
// #name = Reverse Sniper
// #version = 2.0
// #date = April 24, 2001
// #author = Jason "VeKToR" Gill
// #warrior = VeKToR++
// #email = vektor@linux.ca
// #web = http://www.tribalwar.com/vektor
// #description = Makes the sniper rifle fire on mouse release, TF-style
// #status = release
// #include = support/callback.cs
// #include = support/key_callbacks.cs
// #include = support/loadout.cs
// #readme = reverse_sniper/readme.txt

// ---- Class header ----

if(!isObject(ReverseSniper))
{
    new ScriptObject(ReverseSniper)
    {
        class = ReverseSniper;
        ignorefire = false;
        holding = false;
    };
}

// ---- Activate/Deactivate ----

function ReverseSniper::Activate(%this) {
	callback.add(MouseFirePressed, "ReverseSniper.HandleMouseFire");
	callback.add(MouseFireReleased, "ReverseSniper.HandleMouseFire");
	echo("Activating Reverse Sniper!");	
}


function ReverseSniper::Deactivate(%this) {
	echo("Deactivating Reverse Sniper!");	
	callback.delete(MouseFirePressed, "ReverseSniper.HandleMouseFire");
	callback.delete(MouseFireReleased, "ReverseSniper.HandleMouseFire");
	%this.delete();
}

// Activate by default, 'till I make a fancier thingy for all my scripts :)
ReverseSniper.Activate();

// ---- Main script ----

function ReverseSniper::HandleMouseFire(%this, %pressed) {
	if ((loadout.getCurrentWeapon() $= "SniperRifle") && (!%this.ignorefire)) {
		if (%pressed) {

			// Light up our "holding" flag. And mute the button press.
			%this.holding = true;
			return mute;
		} 
		else if (%this.holding) {
			
			// Unset the holding flag and F-I-R-E!
			%this.holding = false;
			%this.ignorefire = true;
			MouseFire(true);
			%this.ignorefire = false;
		}
	} else if (!%this.ignorefire) {

		if ((!%pressed) && (%this.holding)) {
			%this.holding = false;
			return mute;			
		}
	}
}